Bug 41804 - [patch] fix xmlXPathCompiledEval error in textproc/docbook-xsl
Summary: [patch] fix xmlXPathCompiledEval error in textproc/docbook-xsl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dag-Erling Smørgrav
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-20 01:50 UTC by edwin
Modified: 2002-10-08 10:08 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (251 bytes, patch)
2002-08-20 01:50 UTC, edwin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2002-08-20 01:50:01 UTC
A new port I'm submitting this week has bumped into an annoying
error in docbook-xsl 1.51 and higher and it's the one described on:

    http://sourceforge.net/tracker/index.php?func=detail&aid=585038&group_id=21935&atid=373747

It's related to the (x)html output part of xslt.

To solve the problem, the patch on
http://bugzilla.gnome.org/showattachment.cgi?attach_id=10086 has
to be applied.

Fix: Add this file to textproc/docbook-xsl/files as patch-1.51andup:

--- common/common.xsl	2002-07-08 01:10:30 +0200
+++ common/common.xsl	2002-07-27 15:52:44 +0200
@@ -1,6 +1,7 @@
 <?xml version='1.0'?>
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                 xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
+                xmlns:svg="http://www.w3.org/2000/svg"
                 exclude-result-prefixes="doc"
                 version='1.0'>


--- html/graphics.xsl	2002-07-10 12:20:12 +0200
+++ html/graphics.xsl	2002-07-27 15:52:44 +0200
@@ -6,6 +6,7 @@
                 xmlns:ximg="xaln://com.nwalsh.xalan.ImageIntrinsics"
                 xmlns:xtext="com.nwalsh.xalan.Text"
                 xmlns:lxslt="http://xml.apache.org/xslt"
+                xmlns:svg="http://www.w3.org/2000/svg"
                 exclude-result-prefixes="xlink stext xtext lxslt simg ximg"
                 extension-element-prefixes="stext xtext"
                 version='1.0'>

--- xhtml/graphics.xsl	2002-07-10 12:35:28 +0200
+++ xhtml/graphics.xsl	2002-07-27 15:52:44 +0200
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="US-ASCII"?>
 <!--This file was created automatically by html2xhtml-->
 <!--from the HTML stylesheets. Do not edit this file.-->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:stext="http://nwalsh.com/xslt/ext/com.nwalsh.saxon.TextFactory" xmlns:simg="http://nwalsh.com/xslt/ext/com.nwalsh.saxon.ImageIntrinsics" xmlns:ximg="xaln://com.nwalsh.xalan.ImageIntrinsics" xmlns:xtext="com.nwalsh.xalan.Text" xmlns:lxslt="http://xml.apache.org/xslt" exclude-result-prefixes="xlink stext xtext lxslt simg ximg" extension-element-prefixes="stext xtext" version="1.0">
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:stext="http://nwalsh.com/xslt/ext/com.nwalsh.saxon.TextFactory" xmlns:simg="http://nwalsh.com/xslt/ext/com.nwalsh.saxon.ImageIntrinsics" xmlns:ximg="xaln://com.nwalsh.xalan.ImageIntrinsics" xmlns:xtext="com.nwalsh.xalan.Text" xmlns:lxslt="http://xml.apache.org/xslt" xmlns:svg="http://www.w3.org/2000/svg" exclude-result-prefixes="xlink stext xtext lxslt simg ximg" extension-element-prefixes="stext xtext" version="1.0">

 <!-- ********************************************************************
      $Id: graphics.xsl,v 1.26 2002/07/10 10:20:12 nwalsh Exp $


And bump the revision level of docbook-xsl-1.51.1:
Comment 1 Tetsurou Okazaki freebsd_committer 2002-08-22 16:19:48 UTC
Responsible Changed
From-To: freebsd-ports->des

Over to the maintainer.
Comment 2 Dag-Erling Smørgrav freebsd_committer 2002-10-08 10:08:47 UTC
State Changed
From-To: open->closed

Port upgraded to 1.55.0